Subject: Re: [PATCH] Release notes grammatical fixes.

From: Junio C Hamano <[email-masked]>
Date: Tue, 05 Aug 2014 11:43:24 -0700

Junio C Hamano <[email-masked]> writes:

> Marc Branchaud <[email-masked]> writes:
> ...
>> @@ -87,22 +87,20 @@ UI, Workflows & Features
>>   * "git mergetool" learned to drive the vimdiff3 backend.
>>  
>>   * mergetool.prompt used to default to 'true', always asking "do you
>> -   really want to run the tool on this path?".  Among the two
>> -   purposes this prompt serves, ignore the use case to confirm that
>> -   the user wants to view particular path with the named tool, and
>> -   redefine the meaning of the prompt only to confirm the choice of
>> -   the tool made by the autodetection (for those who configured the
>> -   tool explicitly, the prompt shown for the latter purpose is
>> -   simply annoying).
>> -
>> -   Strictly speaking, this is a backward incompatible change and the
>> +   really want to run the tool on this path?".  The default has been
>> +   changed to 'false'.  However, the prompt will still appear if
>> +   mergetool used its autodetection system to guess which tool to use.
>> +   Users who explicitly specify or configure a tool will no longer see
>> +   the prompt by default.
>> +
>> +   Strictly speaking, this is a backward incompatible change and
>>     users need to explicitly set the variable to 'true' if they want
>> -   to resurrect the now-ignored use case.
>> +   to resurrect the old behaviour.
>
> I however think you are losing information here.  It is unclear in
> the rewritten one why you would ever want the "old" behaviour, i.e.
> what you may be missing by following along with this change.

Perhaps this on top of yoru patch?

 Documentation/RelNotes/2.1.0.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/Documentation/RelNotes/2.1.0.txt b/Documentation/RelNotes/2.1.0.txt
index 4fd153e..1b16b12 100644
--- a/Documentation/RelNotes/2.1.0.txt
+++ b/Documentation/RelNotes/2.1.0.txt
@@ -95,7 +95,7 @@ UI, Workflows & Features
 
    Strictly speaking, this is a backward incompatible change and
    users need to explicitly set the variable to 'true' if they want
-   to resurrect the old behaviour.
+   to be prompted to confirm running the tool on each path.
 
  * "git replace" learned the "--edit" subcommand to create a
    replacement by editing an existing object.